Package org.eclipse.ui

## Class WorkbenchEncoding

- java.lang.Object
- - org.eclipse.ui.WorkbenchEncoding

    public class WorkbenchEncoding
    extends Object

WorkbenchEncoding is a utility class for plug-ins that want to use the list of encodings defined by default in the workbench.

Since:
  3.1

### Constructor Summary

Constructors
`WorkbenchEncoding()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `getDefinedEncodings()` Return the list of encodings defined using the org.eclipse.ui.encodings extension point.
`static String` `getWorkbenchDefaultEncoding()` Get the default encoding from the virtual machine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkbenchEncoding

    public WorkbenchEncoding()

### Method Detail

#### getWorkbenchDefaultEncoding

    public static String getWorkbenchDefaultEncoding()

Get the default encoding from the virtual machine.

Returns:
  String

#### getDefinedEncodings

    public static List<String> getDefinedEncodings()

Return the list of encodings defined using the org.eclipse.ui.encodings extension point.

Returns:
  List of String